LOSETUP(8)

NAZWA
losetup - konfiguracja i sterowanie urządzeniami pętli (loop)

SKŁADNIA
Pobieranie informacji:

losetup urządzenie_loop

losetup -a

losetup -j plik [-o ofset]

Usuwanie urządzenia loop:

losetup -d urządzenie_loop...

Wyświetlanie nazwy pierwszego nieużywanego urządzenia loop:

losetup -f

Konfigurowanie urządzenia loop:

losetup [{-e|-E} szyfrowanie] [-o ofset] [--sizelimit rozmiar]
[-p pfd] [-r] {-f[--show]|urządzenie_loop} plik

Zmiana rozmiaru urządzenia loop:

losetup -c urządzenie_loop

OPIS
losetup służy do kojarzenia urządzeń loop (pętli) z plikami zwykłymi lub urządzeniami blokowymi, do odłączania urządzeń loop i sprawdzania ich stanu. Jeżeli podano tylko argument urządzenie_loop, to pokazywany jest stan odpowiedniego urządzenia loop.

  Szyfrowanie
Jest możliwe podanie funkcji przesyłu (do szyfrowania/odszyfrowywania lub innych celów) za pomocą opcji -E lub -e. Istnieją dwa mechanizmy umożliwiające podanie wybranego sposobu szyfrowania: przez numer i przez nazwę. Jeśli szyfrowanie jest podawane przez numer, to należy się upewnić, że jądro Linuksa zna szyfrowanie o danym numerze, być może będzie potrzebne nałożenie łaty na jądro. Standardowe numery, które zawsze są obecne to 0 (brak szyfrowania) i 1 (szyfrowanie XOR). Gdy załadowany (lub wkompilowany) jest moduł cryptoloop, to używa numeru 18. Moduł cryptoloop pobierze nazwę typu szyfrowania i wyszuka moduł, nadający się do przeprowadzenia szyfrowania.

OPCJE
Po argumentach rozmiar i ofset mogą występować sufiksy binarne (2^N): KiB, MiB, GiB, TiB, PiB oraz EiB (część "iB" jest opcjonalna, na przykład "K" ma to samo znaczenie, co "KiB") lub decymalne (10^N): KB, MB, GB, PB oraz EB.

-a, --all
    pokazuje stan wszystkich urządzeń loop

-c, --set-capacity urządzenie_loop
    wymusza na sterowniku loop ponowne odczytanie rozmiaru pliku skojarzonego z podanym urządzeniem loop

-d, --detach urządzenie_loop...
    odłącza plik lub urządzenie skojarzone z podanym urządzeniem (urządzeniami) loop.

-e, -E, --encryption typ_szyfrowania
    włącza szyfrowanie danych z podaną nazwą lub numerem

-f, --find
    szuka pierwszego nieużywanego urządzenia loop. Jeśli podano argument plik, to używa tego znalezionego urządzenia. W przeciwnym wypadku wyświetla jego nazwę.

-h, --help
    wyświetla pomoc

-j, --associated plik
    wyświetla stan wszystkich urządzeń loop skojarzonym z podanym plikiem.

-k, --keybits num
    ustawia na num liczbę bitów używanych w kluczu

-N, --nohashpass
    nie używa funkcji mieszającej (hash) do haseł. Domyślnie systemy Debiana używają funkcji mieszającej do haseł, inne systemy zazwyczaj tego nie robią.

-o, --offset ofset
    początek danych przesuwany jest ofset bajtów w podanego pliku lub urządzenia

--sizelimit rozmiar
    koniec danych jest ustawiany na nie więcej niż rozmiar bajtów, licząc od początku danych

-p, --pass-fd num
    czyta hasło z deskryptora pliku o podanym numerze num, zamiast czytać je z terminalu

-r, --read-only
    konfiguruje urządzenie loop jako tylko do odczytu

--show
    wyświetla nazwę urządzenia, jeśli podano opcję -f i argument plik. Krótka postać tej opcji (-s) jest przestarzała, gdyż koliduje z implementacją Loop-AES, w której oznacza to samo co --sizelimit.

-v, --verbose
    tryb szczegółowy

WARTOŚĆ ZWRACANA
losetup zwraca 0, jeśli zakończyło się pomyślnie, a wartość niezerową w przypadku błędu. Gdy losetup wyświetla stan urządzenia loop, to zwraca 1, jeśli urządzenie nie jest skonfigurowane, lub 2, gdy wystąpił błąd uniemożliwiający programowi losetup określenie stanu urządzenia.

PLIKI
/dev/loop0,/dev/loop1,...   urządzenia loop (numer główny=7)

PRZYKŁAD
Przy posługiwaniu się modułem ładowalnym konieczne jest wcześniejsze załadowanie go poleceniem

    # modprobe loop

Być może potrzebne będą moduły szyfrowania.

    # modprobe des # modprobe cryptoloop

Jako przykład użycia urządzenia loop posłużą poniższe polecenia:

    # dd if=/dev/zero of=/file bs=1k count=100
    # losetup -e des /dev/loop0 /file
    Hasło:
    Inicjacja (do 16 cyfr heksadecymalnych):
    # mkfs -t ext2 /dev/loop0 100
    # mount -t ext2 /dev/loop0 /mnt
     ...
    # umount /dev/loop0
    # losetup -d /dev/loop0

Przy posługiwaniu się modułem ładowalnym można usunąć z pamięci załadowany moduł poleceniem

    # rmmod loop

OGRANICZENIE
Szyfrowanie DES jest nieznośnie powolne. Z kolei XOR jest strasznie słabe. Obecnie oba nie są bezpieczne. Niektóre z metod szyfrowania mogą wymagać licencji, by móc ich używać. Cryptoloop jest przestarzały, zamiast niego zalecany jest dm-crypt. Szczegóły można znaleźć w cryptsetup(8).

DOSTĘPNOŚĆ
Polecenie losetup jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.